To celebrate the release of GATK 4.0, we are giving away free credits for running the GATK4 Best Practices pipelines in FireCloud, our secure online analysis portal. It’s first come first serve, so sign up now to claim your free credits worth $250. Sponsored by Google Cloud. Learn more at https://software.broadinstitute.org/firecloud/documentation/freecredits

GATK 4 GenotypeGVCFs tool does not accept multiple GVCF files?

serhat_tserhat_t TurkeyMember
edited August 2017 in Ask the GATK team

Hi,
I have migrated from GATK 3.7 to GATK 4 tools for my whole genome and whole exome pipelines. I am using the alignment data for a family trio (aligned by BWA-MEM). Following the best practices, I run HaplotypeCaller in GVCF mode and put all three GVCFs (for mother, father and child) through GenotpyeGVCFs tool. The error I'm getting is the following.

A USER ERROR has occurred: Argument '[V, variant]' cannot be specified more than once.

which is very strange because GenotypeGVCFs tool is designed to work with multiple GVCFs. Also, the documentation for this tool uses it exactly with multiple variant arguments.

GATK 3.7 version of GenotypeGVCFs works just fine with those arguments, so I'm currently using that. However, I would like to switch to version 4.

Is this a bug in the GATK 4 beta version?

Thanks a lot!

Best Answers

Answers

Sign In or Register to comment.